{$A+,B-,D+,E+,F+,I+,L-,N-,O+,R+,S+,V+}
{$M 16384,0,655360}

program VgaText;

uses Dos, Crt, Marek, Inp, SCR, MouseTXT;

const   Hodnota : Array[1..8] of Byte = (128, 64, 32, 16, 8, 4, 2, 1);
      VelkostMriezky = 16 * 8;
      Tsave = 8;
      Tload = 9;
      Tdownload = 10;
      Texit = 11;

type  ZnakPtr = ^ZnakRec;
      ZnakRec = array[1..8, 1..16] of Boolean;
     ZnakList = array[1..94] of ZnakPtr;
	 Siet = array[1..8, 1..16] of Boolean;

var        I, J, K, L: Integer;
		 Znak: ZnakList;
	      Mriezka: Siet;
	    ClipBoard: Siet;
	   PomMriezka: Siet;
		   Ch: Char;
	S, MenoSuboru: String;
		  EXT: String;
   DosY,X,Y,OldX,OldY: Byte;
		 STOP: Boolean;
	       Stlpec: Integer;
	Draw, Mazanie: Boolean;
	Znak3,Riadok3: Integer;
	      Pismeno: Char;
 Cpismena,OldCpismena: Byte;
	    TypSuboru: Byte;
	       Search: SearchRec;
		MenoF: Array[1..18] of String;
	       Riadok: Array[1..18] of String;
	       PocetF: Byte;
	      KurzOpt: Byte;
		Subor: File of Siet;
                    r: registers;
                    MoX, MoY, OldMoX, OldMoY: byte;

procedure Zaciatok;
begin
 CheckBreak := FALSE;
 SaveSCR3;
 DosY := WhereY;
 ZiadnyCursor;
 InitZvuk;
 for I := 1 to 8 do for J := 1 to 16 do Mriezka[I, J] := FALSE;
 for I := 1 to 8 do for J := 1 to 16 do ClipBoard[I, J] := FALSE;
 for I := 1 to 94 do GetMem(Znak[I], VelkostMriezky);
 for I := 1 to 94 do Move(Mriezka, Znak[I]^, VelkostMriezky);
 STOP := FALSE;
 Draw := FALSE;
 Mazanie := FALSE;
 Pismeno := 'A';
 Cpismena := 33;
 OldCpismena := 33;
 MenoSuboru := 'NONAME';
 TypSuboru := 2;
 X := 4; OldX := X;
 Y := 8; OldY := Y;
 MoX := 1; OldMoX := MoX;
 MoY := 1; OldMoY := MoY;
 Znak3 := 33; Riadok3 := 1;
end;

procedure ZamenBOO(var BOO: Boolean);
begin
 BOO := not BOO;
end;

procedure F(var BOO: Boolean);
begin
 BOO := FALSE;
end;

procedure Stlac(Cislo: Byte);
begin
 TLC_PSH(Cislo);
 Delay(160);
 TLC_PRT(Cislo);
end;

procedure C(C: Byte);
begin
 TextColor(C);
end;

procedure CistaPloska;
begin
 TXTfarby(8, 15);  S:= '';  Ch := #176;
 for I := 1 to 2*8 do S := S + Ch;
 for I := 2 to 17 do WriteXY(2, I, S);
end;

procedure NapisMeno;
begin
 TXTfarby(10, 7);  WriteXY(63, 6, '                 ');
 TXTfarby(14, 7);  WriteXY(66, 7, '        ');
 WriteXY(66, 7, MenoSuboru);
end;

procedure ReDraw;
begin
 {$S-,R-}
 Zvuk2;
 CistaPloska;
 TXTfarby(8, 0);
 for J := 1 to 16 do for I := 1 to 8 do if Mriezka[I, J] then
  begin
   GotoXY(I*2, J+1);
   Write(Chr(177) + Chr(177));
  end;
 GotoXY(1, 25);
 TXTfarby(14, 7);
 Write(' ' + Pismeno);
 {$S+,R+}
end;

procedure XReDraw;
begin
 {$S-,R-}
 CistaPloska;
 TXTfarby(8, 0);
 for J := 1 to 16 do for I := 1 to 8 do if Mriezka[I, J] then
  begin
   GotoXY(I*2, J+1);
   Write(Chr(177) + Chr(177));
  end;
 {$S+,R+}
end;


procedure Nakresli;
begin
 Cls;
S := ''; for I := 1 to 49 do S := S + ' ';
 Plocha(1, 7, 8, 7, S + '''VGA font'' by Marek Laco 1995');
 CistaPloska;
 CiaraY(1, 24, 30, 7, 7, 'none');
 TextColor(0);
 Ramcek(1, 4, 31, 79, 8, 7, 7, 'single');
 CiaraY(1, 4, 80, 7, 7, 'none');
 for I := 33 to 79 do WriteXY(I  - 1, 2, Chr(I));
 for I := 80 to 126 do WriteXY(I - 48, 3, Chr(I));
 Ramcek(4, 25, 31, 47, 8, 7, 7, 'single');
 XWrite(31, 4, 8, 7, #195);  XWrite(47, 4, 8, 7, #194);
 Ramcek(8, 24, 48, 80, 15, 7, 7, 'double');
 Ramcek(5, 8, 48, 80, 15, 7, 7, 'double');
 Ramcek(1, 18, 1, 18, 0, 7, 200, 'single');
 TXTfarby(15, 7); WriteXY(48, 8, #204); WriteXY(80, 8, #185);
 XWrite(51, 7, 15, 7, 'Font name :');
 TLC_INI(1, 34, 23, 3, 0, 11, 14, 7, 0, '   clea', 'R', '   ');
 TLC_INI(2, 34, 21, 3, 0, 11, 14, 7, 0, '    ', 'F', 'lip   ');
 TLC_INI(3, 34, 14, 3, 0, 15, 14, 7, 0, '   s', '', 'pace   ');
 TLC_INI(4, 34, 12, 3, 0, 15, 14, 7, 0, '   ', 'D', 'raw    ');
 TLC_INI(5, 34, 10, 3, 0, 15, 14, 7, 0, '   ', 'E', 'rase   ');
 TLC_INI(6, 34, 07, 3, 0, 11, 14, 7, 0, '   ', 'C', 'opy    ');
 TLC_INI(7, 34, 05, 3, 0, 11, 14, 7, 0, '   ', 'P', 'aste   ');
 TLC_INI(8, 50, 11, 1, 0, 11, 14, 7, 1, '   ', 'F2', ' Save   ');
 TLC_INI(9, 65, 11, 1, 0, 11, 14, 7, 1, '   ', 'F3', ' Load   ');
 TLC_INI(10, 65, 16, 1, 0, 11, 14, 7, 1, '   ', 'F6', ' Apply  ');
 TLC_INI(11, 50, 21, 1, 0, 11, 14, 7, 1, '          ', 'F10', ' Exit          ');
 TLC_INI(12, 50, 16, 1, 0, 11, 14, 7, 1, '  ', 'F5', ' Reset   ');
 for I := 1 to 12 do TLC_PRT(I);
 NapisMeno;
 ReDraw;
end;

procedure Clear;
begin
 Zvuk2;
 Stlac(1);
 for I := 1 to 8 do for J := 1 to 16 do Mriezka[I, J] := FALSE;
 CistaPloska;
end;

procedure Flip;
begin
 Zvuk2;
 Stlac(2);
 PomMriezka := Mriezka;
 for I := 1 to 8 do for J := 1 to 16 do
	   Mriezka[I, J] := PomMriezka[9 - I, J];
 ReDraw;
end;

procedure Copy;
begin
 Zvuk2;
 Stlac(6);
 ClipBoard := Mriezka;
end;

procedure Paste;
begin
 Zvuk2;
 Stlac(7);
 Mriezka := ClipBoard;
 ReDraw;
end;

procedure Kurzor3;
begin
 GotoXY(Znak3 + 31, Riadok3 + 1);
 TXTfarby(4, 3);
 Write(Chr(Znak3 + (Riadok3 - 1) * 15 + Riadok3 * 32));
end;

procedure Kurzor3o;
begin
 GotoXY(Znak3 + 31, Riadok3 + 1);
 TXTfarby(0, 7);
 Write(Chr(Znak3 + (Riadok3 - 1) * 15 + Riadok3 * 32));
 OldCpismena := Ord(Pismeno) - 32;
end;

procedure VymazSpace(var Stri: String);
begin
 while (Stri[1] = ' ') AND (Length(Stri) > 0) do Delete(Stri, 1, 1);
end;

procedure Cenzura(var St: String);
var Sr: String;
begin
 Sr := '';
 for I := 1 to Length(St) do if Ord(St[I]) in [48..57, 64..122] then
  Sr := Sr + St[I];
 St := Sr;
end;

procedure Save;
label KON;
begin
 Zvuk2;
 Stlac(Tsave);
 SaveSCR1;
 RamcekSTienomSprava(5, 13, 20, 60, 0, 3, 3, 'double', 14, 3, ' Save font ');
 XWrite(32, 6, 0, 3, 'Save your font as');
 EXT := 'SCR';
 XWrite(42, 8, 15, 3, '[.' + EXT + ']');
 XWrite(28, 12, 0, 3, 'Save   Cancel   New name ');
 repeat
  I := 255; K := 255;
  TXTfarby(15, 2); GotoXY(34, 8);
  S := InputTXT(8, MenoSuboru);
  VymazSpace(S);
  Cenzura(S);
  if (S = 'STOP') OR (S = '') then Goto KON;
  if Exist(S + '.' + EXT) then
   begin
    XWrite(28, 12, 0, 3, '                         ');
    XWrite(30, 10, 14, 3, 'The File allready EXIST ! ');
    Zvuk;
    XWrite(26, 12, 0, 3, '                                  ');
    GotoXY(24, 12);
    K := DialogX(15,7,0,3,1,' Overwrite ',' Cancel ', ' New name ','','','');
    XWrite(30, 10, 0, 3, '                          ');
    XWrite(25, 12, 0, 3, '                                  ');
   end
  else
   begin
    XWrite(25, 12, 0, 3, '                                  ');
    GotoXY(27, 12);
    I := DialogX(15, 7, 0, 3, 1, ' Save ', ' Cancel ', ' New name ', '','','');
   end;
 until (I <> 3) AND (K <> 3);
 if (I = 1) OR (K = 1) then
  begin;
   MenoSuboru := S;
   LoadSCR1;
   NapisMeno;
   Assign(Subor, MenoSuboru + '.' + EXT);
   Rewrite(Subor);
   Move(Mriezka, Znak[Cpismena]^,  VelkostMriezky);
   for I := 1 to 94 do
    begin
     if I mod 2 = 0 then
      begin
       GotoXY( 6, 25);
       TXTfarby(0, 7);
       Write(1.068 * I :2:0 ,'%' );
      end;
     Move(Znak[I]^, Mriezka,  VelkostMriezky);
     Write(Subor, Mriezka);
    end;
   GotoXY( 6, 25);
   Write('    ');
   Close(Subor);
   Move(Znak[Cpismena]^, Mriezka,  VelkostMriezky);
  end;
 KON:
 Zvuk2;
 LoadSCR1;
 NapisMeno;
end;

procedure Del(Ktory: Byte);
var Chr: Char; F: File;
begin
 Zvuk2;
 XWrite(5, 3, 12, 1, ' Are you sure ? ');
 Chr := UpCase(ReadKey);
 if (Chr = 'Y') OR (Chr = 'A') then
  begin
   {$I-}
   Assign(F, MenoF[Ktory]);
   Reset(F);
   Erase(F);
   Close(F);
   if DosError <> 0 then begin Zvuk; Zvuk; Zvuk; Zvuk; Zvuk; Zvuk2; Zvuk;end;
   {$I+}
  end;
end;

function Vyber: String;
var Teraz, Vtedy: Byte; Chh: Char; Deleted: Boolean;
begin
 Deleted := FALSE;
 SaveSCR1;
 RamcekSTienomSprava(2, 23, 4, 22, 7, 1, 1, 'double', 15, 1, ' Load font ');
 XWrite(5, 3, 14, 1, ' d - delete font');
 CiaraX(5, 21, 4, 7, 1, 'single');
 XWrite(4, 4, 7, 1, #199);  XWrite(22, 4, 7, 1, #182);
 if PocetF = 0 then
  begin
   XWrite(5, 5, 11, 1, ' 0 files found !');
   PoStlacenyPokracuj;
   Vyber := '!!!0files!!!';
  end
 else
  begin
   TXTfarby(11, 1);
   for I := 1 to PocetF do
    while Length(Riadok[I]) < 17 do Riadok[I] := Riadok[I] + ' ';
   for I := 1 to PocetF do WriteXY(5, I + 4, Riadok[I]);
   Teraz := 1; Vtedy := 1;
   XWrite(5, Teraz + 4, 0, 3, Riadok[Teraz]);
   repeat
    Chh := UpCase(Readkey);
    Vtedy := Teraz;
     case Chh of
      #32: Inc(Teraz);
      #68: begin Del(Teraz); Deleted := TRUE; end;
      #00: begin
	    Chh := Readkey;
	     case Klavesa(Chh) of
	      8: Dec(Teraz);
	      2: Inc(Teraz);
	      4: Dec(Teraz);
	      6: Inc(Teraz);
	      7: Teraz := 1;
	      1: Teraz := PocetF;
	      9: Teraz := 1;
	      3: Teraz := PocetF;
	    end;
	  end;
     end;
    if Teraz = 0 then Teraz := PocetF;
    if Teraz = (PocetF + 1) then Teraz := 1;
    XWrite(5, Vtedy + 4, 11, 1, Riadok[Vtedy]);
    XWrite(5, Teraz + 4, 0, 3, Riadok[Teraz]);
   until (Chh = #13) OR (Chh = #27) OR (Deleted);
   if Chh = #27 then Vyber := '!!!escape!!!';
   if Chh = #13 then Vyber := MenoF[Teraz];
   if Deleted then Vyber := '!!!delete!!!';
  end;
 LoadSCR1;
end;

procedure Load;
begin
 Zvuk2;
 Stlac(Tload);
 repeat
  PocetF := 0;
  FindFirst('*.SCR', $3F, Search);
  while (DosError = 0) AND (PocetF < 18) do
   begin
    Inc(PocetF);
    MenoF[PocetF] := Search.Name;
    Riadok[PocetF] := ' -  ' + LowCase(Search.Name);
    Delete(Riadok[PocetF],Length(Riadok[PocetF]) - 3, 4);
    FindNext(Search);
   end;
  S := Vyber;
 until (S <> '!!!delete!!!') OR (PocetF = 0);
 if (S <> '!!!escape!!!') AND (PocetF > 0) then
  begin
   MenoSuboru := S;
   Delete(MenoSuboru,Length(MenoSuboru) - 3, 4);
   Assign(Subor, S);
    case S[Length(S)] of
     'D': TypSuboru := 1;
     'L': TypSuboru := 2;
     'P': TypSuboru := 3;
    end;
   Reset(Subor);
   NapisMeno;
   for I := 1 to 94 do
    begin
     if I mod 2 = 0 then
      begin
       GotoXY( 6, 25);
       TXTfarby(0, 7);
       Write(1.068 * I :2:0 ,'%' );
     end;
    Read(Subor, Mriezka);
    Move(Mriezka, Znak[I]^, VelkostMriezky);
   end;
  GotoXY( 6, 25);
  Write('    ');
  Close(Subor);
  Move(Znak[Cpismena]^, Mriezka,  VelkostMriezky);
  ReDraw;
 end;
 Zvuk2;
end;

procedure Down;
var Hodn: array[1..16] of Byte;
begin
  Stlac(Tdownload);
  Zvuk2;
  for I := 1 to 94 do
    begin
      Move(Znak[I]^, Mriezka,  VelkostMriezky);
      for J := 1 to 16 do
        begin
         Hodn[J] := 0;
         for K := 1 to 8 do if Mriezka[K, J] then Inc(Hodn[J], Hodnota[K]);
        end;
      r.ah := $11;
      r.al := $00;
      r.bl := 0;
      r.bh := 16;
      r.cx := 1;
      r.dx := I + 32;
      r.es := seg(Hodn);
      r.bp := ofs(Hodn);
      Intr($10, r);
    end;
  Move(Znak[Cpismena]^, Mriezka,  VelkostMriezky);
end;

procedure Exit;
var Hodn: array[1..16] of byte;
begin
 Stlac(Texit);
 Zvuk2;
 SaveSCR1;
 RamcekStienomSprava(10, 13, 30, 50, 14,4,4,'double',15,4,' About to Quit ');
 NapisDoStreduC(11, 11, 4, 'Are you sure ?');
 GotoXY(35, 12);
 if DialogX(15, 7, 14, 4, 3, ' Yes ', ' No ', '', '', '', '') = 1 then
  begin
       for J := 1 to 16 do Hodn[J] := 0;
       r.ah := $11;
       r.al := $00;
       r.bl := 0;
       r.bh := 16;
       r.cx := 1;
       r.dx := 255;
       r.es := seg(Hodn);
       r.bp := ofs(Hodn);
       Intr($10, r);
   TXTfarby(7, 0);
   NormCursor;
   LoadSCR3;
   GotoXY( 1, DosY);
   Writeln;
   Writeln(' Font Name: ' + MenoSuboru);
   Writeln;
   Zvuk2;
   Halt(0);
  end
 else LoadSCR1;
end;

procedure Reset;
begin
  Stlac(12);
  TextMode(3);
  Nakresli;
  ZiadnyCursor;
  Kurzor3;
  SetMoXY(GetMoX, GetMoY);
  MoOn;
end;

procedure Kurzor;
var Ho: array[1..16] of byte;
begin
 GotoXY(OldX*2, OldY+1);
 if Mriezka[OldX, OldY] = FALSE then
  begin
   TXTfarby(8, 15); Write(Chr(176) + Chr(176));
  end
 else
  begin
   TXTfarby(8, 0); Write(Chr(177) + Chr(177));
  end;
 {---}
 if Mriezka[X, Y] = FALSE then TXTfarby(1, 7)
  else TXTfarby(9, 1);
 GotoXY(X*2, Y+1);
 Write(Chr(177) + Chr(177));
 GotoXY(15, 25);
 TXTfarby(8, 7);
 Write(X:2, '/', Y:2);
 {--- Ukazka Znaku --- }
 for I := 1 to 16 do
   begin
     Ho[I] := 0;
     for J := 1 to 8 do if Mriezka[J, I] then Inc(Ho[I], Hodnota[J]);
   end;
 r.ah := $11;
 r.al := $00;
 r.bl := 0;
 r.bh := 16;
 r.cx := 1;
 r.dx := 255;
 r.es := seg(Ho);
 r.bp := ofs(Ho);
 Intr($10, r);
 GotoXY(3, 25);
 TXTfarby(14, 7);
 Write(#255);
 WriteXY(10, 25, #255);
 WriteXY(11, 25, Pismeno);
 TXTfarby(7, 0);
 WriteXY(39, 18, #255);
end;


procedure Klavesy;
begin
 if KeyPressed then begin
 OldX := X; OldY := Y;
 Ch := UpCase(ReadKey);
  case Ch of
   #09: begin Kurzor3o; Inc(Znak3,6); end; { tab }
   #52: begin Kurzor3o; Dec(Znak3); end;   { 4 }
   #54: begin Kurzor3o; Inc(Znak3); end;   { 6 }
   #56: begin Kurzor3o; Dec(Riadok3); end; { 8 }
   #50: begin Kurzor3o; Inc(Riadok3); end; { 2 }
   {#27: STOP := TRUE;}
   ' ': begin TLC_PSH(3); ZamenBOO(Mriezka[X, Y]); F(Draw); F(Mazanie);
	      TLC_PRT(3); TLC_PRT(4); TLC_PRT(5); end;
   'D': begin ZamenBOO(Draw); F(Mazanie); TLC_PRT(5);
	      if Draw then TLC_PSH(4) else TLC_PRT(4); end;
   'E': begin ZamenBOO(Mazanie); F(Draw); TLC_PRT(4);
	      if Mazanie then TLC_PSH(5) else TLC_PRT(5); end;
   'R': cleaR;
   'F': Flip;
   'C': Copy;
   'P': Paste;
   'S': Reset;
   #00: begin
	 Ch := UpCase(ReadKey);
	  case Ch of
	   #15: begin Kurzor3o; Dec(Znak3,6); end; { S - tab }
	   #60: Save;  { F2 }
	   #61: Load;  { F3 }
           #63: Reset; { F5 }
	   #64: Down;  { F6 }
	   #68: Exit;  { F10 }
	  end;
	  case Klavesa(Ch) of
	   8: Dec(Y);
	   2: Inc(Y);
	   4: Dec(X);
	   6: Inc(X);
	   7: begin Dec(X); Dec(Y); end;
	   9: begin Inc(X); Dec(Y); end;
	   1: begin Dec(X); Inc(Y); end;
	   3: begin Inc(X); Inc(Y); end;
	  end;
       end;
  end;
 if X = 0 then X := 8;  if X >= 9 then X := X - 8;
 if Y = 0 then Y := 16;  if Y = 17 then Y := 1;
 if Draw then Mriezka[X, Y] := TRUE;
 if Mazanie then Mriezka[X, Y] := FALSE;
 if (Ord(Ch) in [50..56]) OR (Ord(Ch) = 9) OR (Ord(Ch) = 15) then
  begin
   if Riadok3 = 0 then Riadok3 := 2;
   if Riadok3 = 3 then Riadok3 := 1;
   if (Znak3<=0) AND (Riadok3 = 1) then begin Znak3 := 47; Riadok3 := 2; end;
   if (Znak3<=0) AND (Riadok3 = 2) then begin Znak3 := 47; Riadok3 := 1; end;
   if (Znak3>=48) AND (Riadok3 = 1) then begin Znak3 := 1; Riadok3 := 2; end;
   if (Znak3>=48) AND (Riadok3 = 2) then begin Znak3 := 1; Riadok3 := 1; end;
   if Draw then begin Draw := FALSE; TLC_PRT(4); end;
   if Mazanie then begin Mazanie := FALSE; TLC_PRT(5); end;
   Mazanie := FALSE;
   Kurzor3;
   Pismeno := Chr(Znak3 + (Riadok3 - 1) * 15 + Riadok3 * 32);
   Cpismena := Ord(Pismeno) - 32;
   Move(Mriezka, Znak[OldCpismena]^, VelkostMriezky);
   Move(Znak[Cpismena]^, Mriezka,  VelkostMriezky);
   ReDraw;
  end;
  Kurzor;
  SetMoXY(GetMoX, GetMoY);
  MoOn;
  end; { if KeyPressed }
end;

procedure ObnovMys(MoX, MoY: byte);
begin
  SetMoXY(MoX, MoY);
end;

procedure PozorNaMys;
begin
 MoX := GetMoX;
 MoY := GetMoY;
 GotoXY(24, 25);
 TXTfarby(15, 7);
 Write(MoX:2, '/', MoY:2);
 if MoButt = 1 then Write('+') else Write(' ');
 if MoButt = 3 then Write('-') else Write(' ');
 {--- action ---}
 if MoButt <> 0 then {narazka na tlacitka}
   begin
     for I := 1 to 12 do if JeTamMys(MoX, MoY, I) then
       begin
         case I of
           12: Reset;
           Texit: Exit;
           Tsave: Save;
           Tload: Load;
           Tdownload: Down;
           1: Clear;
           2: Flip;
           3: begin TLC_PSH(3); ZamenBOO(Mriezka[X, Y]); F(Draw); F(Mazanie);
	      Delay(300); TLC_PRT(3); TLC_PRT(4); TLC_PRT(5); end;
           4: begin ZamenBOO(Draw); F(Mazanie); TLC_PRT(5);
	      if Draw then TLC_PSH(4) else TLC_PRT(4); Delay(300); end;
           5: begin ZamenBOO(Mazanie); F(Draw); TLC_PRT(4);
	      if Mazanie then TLC_PSH(5) else TLC_PRT(5); Delay(300); end;
           6: Copy;
           7: Paste;
         end;
         I := 12;
         ObnovMys(GetMoX, GetMoY);
       end;
     Kurzor;
   end;
 if (MoX in [32..79]) AND (MoY in [2..3]) AND (MoButt <> 0) then
   begin
     Kurzor3o;
     Riadok3 := MoY - 1;
     Znak3 := MoX - 31;
     SetMoY(1);
     Kurzor3;
     SetMoY(MoY);
     Pismeno := Chr(Znak3 + (Riadok3 - 1) * 15 + Riadok3 * 32);
     Cpismena := Ord(Pismeno) - 32;
     Move(Mriezka, Znak[OldCpismena]^, VelkostMriezky);
     Move(Znak[Cpismena]^, Mriezka,  VelkostMriezky);
     ReDraw;
     Kurzor;
     Delay(100);
    end;
 if (MoX in [2..17]) AND (MoY in [2..17]) then
   begin
     if MoButt = 1 then
       begin
         Mriezka[MoX div 2, MoY - 1] := TRUE;
         SetMoX(1);
         GotoXY((MoX div 2) * 2 , MoY); TXTfarby(8, 0); Write(Chr(177) + Chr(177));
         Kurzor;
         SetMoX(MoX);
         for I := 1 to 50 do if (GetMoX = MoX) AND (GetMoY = MoY) then Delay(1)
          else I := 50;
       end;
    if MoButt = 3 then
      begin
        Mriezka[MoX div 2, MoY - 1] := FALSE;
        SetMoX(1);
        GotoXY((MoX div 2) * 2 , MoY); TXTfarby(8, 15); Write(Chr(176) + Chr(176));
        Kurzor;
        SetMoX(MoX);
        for I := 1 to 50 do if (GetMoX = MoX) AND (GetMoY = MoY) then Delay(1)
         else I := 50;
      end;
   end;
end;

begin
 Zaciatok;
 Nakresli;
 MoOn;
 Kurzor;
 Kurzor3;
 repeat
  Klavesy;
  PozorNaMys;
 until STOP;
end.
